aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-handwriting
diff options
context:
space:
mode:
authorPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-24 17:57:24 +0100
committerPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-30 02:35:12 +0100
commite9b45ff67d32fdc27950a51135b6dabada8334e7 (patch)
treede99cd760c8292ee1dd334e23e1e5cc43e90dfbd /recipes-opie/opie-handwriting
downloadmeta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.gz
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.bz2
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.zip
initial commit of meta-opie
Populate the repository with files from OpenEmbedded at revision 45edf621296daf150c72b876d720861235e5762e - no changes, only rearranged the directory structure to match the new oe-core style and added COPYING.MIT and README. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
Diffstat (limited to 'recipes-opie/opie-handwriting')
-rw-r--r--recipes-opie/opie-handwriting/opie-handwriting.inc47
-rw-r--r--recipes-opie/opie-handwriting/opie-handwriting_1.2.5.bb10
-rw-r--r--recipes-opie/opie-handwriting/opie-handwriting_cvs.bb7
3 files changed, 64 insertions, 0 deletions
diff --git a/recipes-opie/opie-handwriting/opie-handwriting.inc b/recipes-opie/opie-handwriting/opie-handwriting.inc
new file mode 100644
index 0000000..c4b79cb
--- /dev/null
+++ b/recipes-opie/opie-handwriting/opie-handwriting.inc
@@ -0,0 +1,47 @@
+DESCRIPTION = "Handwriting input method"
+SECTION = "opie/inputmethods"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "qhandwriting"
+
+
+S = "${WORKDIR}/handwriting"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ ${bindir}/qcop QPE/TaskBar "reloadInputMethods()"
+else
+ exit 0
+fi
+
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+${bindir}/qcop QPE/TaskBar "reloadInputMethods()"
+}
+
+# FILES plugins/inputmethods/libqhandwriting.so*
+do_install() {
+ install -d ${D}${palmtopdir}/etc/qimpen/
+ for f in ../qimpen/*
+ do
+ [ -f $f ] && install -m 0644 $f ${D}${palmtopdir}/etc/qimpen/
+ done
+}
+
+PACKAGES += " opie-handwriting-classicset opie-handwriting-graffitiset "
+
+FILES_${PN} = "${palmtopdir}/plugins/inputmethods/libqhandwriting.so*"
+FILES_opie-handwriting-classicset = "${palmtopdir}/etc/qimpen/default.conf \
+ ${palmtopdir}/etc/qimpen/combining.qpt \
+ ${palmtopdir}/etc/qimpen/asciilower.qpt \
+ ${palmtopdir}/etc/qimpen/asciiupper.qpt \
+ ${palmtopdir}/etc/qimpen/numeric.qpt"
+FILES_opie-handwriting-graffitiset = "${palmtopdir}/etc/qimpen/graffiti*"
+
diff --git a/recipes-opie/opie-handwriting/opie-handwriting_1.2.5.bb b/recipes-opie/opie-handwriting/opie-handwriting_1.2.5.bb
new file mode 100644
index 0000000..b374311
--- /dev/null
+++ b/recipes-opie/opie-handwriting/opie-handwriting_1.2.5.bb
@@ -0,0 +1,10 @@
+require ${PN}.inc
+
+PR = "r0"
+
+SRC_URI = "http://sources.openembedded.org/opie-1.2.5-split_inputmethods_handwriting.tar.bz2;name=split_inputmethods_handwriting \
+ http://sources.openembedded.org/opie-1.2.5-split_etc_qimpen.tar.bz2;name=split_etc_qimpen"
+SRC_URI[split_inputmethods_handwriting.md5sum] = "2ba77c63a71bc0f4a3bddbcc15a1b816"
+SRC_URI[split_inputmethods_handwriting.sha256sum] = "9d7e305fd8ccce226a7dde687024641657add23bb7b46d898b6ec7066b6e41f0"
+SRC_URI[split_etc_qimpen.md5sum] = "4a95b508202bafcdb204abcbd0dd17d3"
+SRC_URI[split_etc_qimpen.sha256sum] = "a9e64ba22c71ef2c3c76a52529f95a01fe172d5f5835906da2ad10da0cd60539"
diff --git a/recipes-opie/opie-handwriting/opie-handwriting_cvs.bb b/recipes-opie/opie-handwriting/opie-handwriting_cvs.bb
new file mode 100644
index 0000000..a38ec9e
--- /dev/null
+++ b/recipes-opie/opie-handwriting/opie-handwriting_cvs.bb
@@ -0,0 +1,7 @@
+require ${PN}.inc
+
+PV = "${OPIE_GIT_PV}"
+PR = "r2"
+
+SRC_URI = "${OPIE_GIT};protocol=git;subpath=inputmethods/handwriting \
+ ${OPIE_GIT};protocol=git;subpath=etc/qimpen"